Bug 1278780 - WiFi credentials are not written in a fresh XFCE Spin installation
WiFi credentials are not written in a fresh XFCE Spin installation
Status: NEW
Product: Fedora
Classification: Fedora
Component: anaconda (Show other bugs)
25
All Linux
unspecified Severity low
: ---
: ---
Assigned To: Anaconda Maintenance Team
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-11-06 06:52 EST by Laurentiu Pancescu
Modified: 2017-07-25 15:33 EDT (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Laurentiu Pancescu 2015-11-06 06:52:24 EST
Description of problem:
Anaconda doesn't seem to write the WiFi credentials to the installed system, as it used to.

Version-Release number of selected component (if applicable):


How reproducible:
Probably always

Steps to Reproduce:
1. Install Fedora 23 using the XFCE Live image
2. Connect to WiFi using WPA2, via Network Manager from the live image
3. After booting in the freshly installed system, you need to enter the WiFi password again

Actual results:
The WiFi configuration from the live XFCE image is forgotten.

Expected results:
The WiFi credentials are remembered from the XFCE Live configuration (just in Fedora 22 and 21)

Additional info:
Comment 1 Vojtech Trefny 2015-11-06 07:37:23 EST
Did you set the WiFi before or after the installation finished? Your steps to reproduce implies you did it after the installation. We don't modify the system after the installation finishes.
Comment 2 Laurentiu Pancescu 2015-11-06 09:07:26 EST
I setup WiFi after starting Anaconda, but before clicking "Begin installation" in the second screen.  To be more specific, here are the steps:

1. Select English > US English in the Anaconda welcome screen
2. Add the German keyboard layout and remove the US one (this makes it easier to type passwords correctly in the following steps)
3. Setup WiFi using Network Manager from the XFCE tray
4. Select Europe/Berlin as time zone, and check that the NTP servers are working
5. Select the installation drive and reclaim free space
6. Set the hostname and domain
7. Click on Begin installation
8. Configure root password
9. Configure first regular user (with admin rights)
10. Reboot after the installation finished

These are actually the same steps I performed in F21 and F22 - I was pleasantly surprised that Anaconda had already configured WiFi for me, when I started the installed system for the first time.  Not anymore in F23.

I think Anaconda saves an installation log in ~root.  Should I upload it here?
Comment 3 Laurentiu Pancescu 2016-06-24 09:23:24 EDT
I can also reproduce the problem with the Fedora 24 XFCE Spin (fresh installation).  The WiFi configuration files /etc/sysconfig/network-scripts/{ifcfg,keys}-MySSID were copied, but the SELinux user context is unconfined_u instead of system_u, like all the other files, including ifcfg-lo0.  I used chcon from the Live CD, after the installation was complete, to set the user context of the two files to system_u; this didn't help after rebooting, same problem, so the user context might not make any difference in this case.

However, I found the line "USERS=liveuser" at the end of ifcfg-MySSID.  If I change liveuser into my user name, or simply remove the line completely, the WiFi works as expected, without having to do anything else.  Probably Anaconda should either remove that line, or adapt it to specify the user created during the installation, instead of simply copying the file generated by Network Manager.

The USERS option doesn't seem to be documented in /usr/share/doc/initscripts-version/sysconfig.txt, as the F24 Networking Guide implies (see 1.8. Additional Resources).
Comment 4 Fedora End Of Life 2017-07-25 15:26:48 EDT
This message is a reminder that Fedora 24 is nearing its end of life.
Approximately 2 (two) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 24. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '24'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version'
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not
able to fix it before Fedora 24 is end of life. If you would still like
to see this bug fixed and are able to reproduce it against a later version
of Fedora, you are encouraged  change the 'version' to a later Fedora
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.

Note You need to log in before you can comment on or make changes to this bug.